import useSWR from "swr";
import fetcher from "../../models/fetcher";
import LightList from "../LigtsList/LightsList";

interface ILandingLightsProps {
  roomsList: {name: string}[];
}

export const LandingLights = ({ roomsList }: ILandingLightsProps) => {
  const lightsComponetList = roomsList.map(room => {
    const { data: dataLights, error: errorLights } = useSWR(`${import.meta.env.VITE_API}/api/room/lights?roomName=${room.name}`, fetcher);

    if (errorLights) return <div>failed to load information about {room.name} lights</div>
    if (!dataLights) return <div>loading information about {room.name} lights...</div>

    return <LightList header={room.name + ' lights'} lights={dataLights} roomName={room.name} />
  })
  return (
    <>
      {lightsComponetList}
    </>
  );
}
