import React from 'react';
import List from '@mui/material/List';
import ListSubheader from '@mui/material/ListSubheader';
import { ILight } from '../../models/types';
import { ListItemLight } from './ListItemLight';
import { v4 as uuidv4 } from 'uuid';

interface IMainLightsProps {
  header: string;
  lights: ILight[];
  roomName: string;
}

export const LightList = ({ header, lights, roomName }: IMainLightsProps) => {

  return (
    <List
      sx={{
        width: 300,
        height: 300,
        maxWidth: 300,
        overflow: 'auto',
        maxHeight: 300,
      }}
      subheader={<ListSubheader>{header}</ListSubheader>}
    >
      {
        lights.map((light) => {
          return (
            <ListItemLight {...light} roomName={roomName} key={uuidv4()}/>
          );
        })
      }
    </List>
  );
}

export default LightList;
